import React, { createContext } from 'react';
import 'antd/dist/antd.less';
import '@zgfe/business-lib/es/assets/styles/resetAntd.less';
import '@zgfe/business-lib/es/assets/iconfont/iconfont.css';
import { DemoWrapper as DemoWrapper_ } from '@zgfe/business-lib';
import { CdpContextWrapper } from '@zgfe/modules-cdp';
export var DemoContext = /*#__PURE__*/createContext({
  defaultApp: 0
});
var DemoWrapper = function DemoWrapper(_ref) {
  var children = _ref.children;
  var defaultApp = 327;
  return /*#__PURE__*/React.createElement(DemoWrapper_, {
    defaultApp: defaultApp,
    needMeta: true
  }, /*#__PURE__*/React.createElement(DemoContext.Provider, {
    value: {
      defaultApp: defaultApp,
      editVisualDataset: 199,
      editDataset: 574,
      viewTableName: 'data_process_321_83d939f841704580ad2def4a9e8d9cfc',
      editId: 574
    }
  }, /*#__PURE__*/React.createElement(CdpContextWrapper, null, children)));
};
export default DemoWrapper;